Subject: Simplify if/else logic of walsender CreateReplicationSlot

From: Peter Smith <[email-masked]>
Date: Mon, 20 Nov 2023 18:01:42 +1100

Hi,

While reviewing another patch I was looking at the walsender's static
function CreateReplicationSlot

I found that the current logic seemed to have some unnecessary if/else
checking which can be simplified.

~~

To summarise:

CURRENT
if (cmd->kind == REPLICATION_KIND_PHYSICAL)
{
  ...
}
else
{
  ...
}
if (cmd->kind == REPLICATION_KIND_LOGICAL)
{
  ...
}
else if (cmd->kind == REPLICATION_KIND_PHYSICAL && reserve_wal)
{
  ...
}

SUGGESTION
if (cmd->kind == REPLICATION_KIND_PHYSICAL)
{
  ...
  if (reserve_wal)
  {
    ...
  }
}
else /* REPLICATION_KIND_LOGICAL */
{
  ...
}

~~~

PSA a small patch for making this change.

(I ran make check-world after this change and it was successful)

======
Kind Regards,
Peter Smith.
Fujitsu Australia